Skip to content

Virtual MCP Server Registrations

The Virtual Model Context Protocol (MCP) Server Registrations API provides registration and lifecycle management operations for virtual MCPs. A virtual MCP serves as a consolidated interface for multiple underlying resource servers as a single, unified MCP to an AI agent. See MCP Servers.

Note: This API, which is available as a Research Release, is only available if you're subscribed to Okta for AI Agents. Contact Okta Support for more information.

List all virtual MCPs

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.read
Admin roles:
  • SUPER_ADMIN

Lists all virtual MCPs

Query
afterstring

The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination and Link header.

limitinteger, [ 1 .. 200 ]

A limit on the number of objects to return

Default:20
filterstring, (scim-filter)

Filters virtual MCPs with a filtering expression. This supports the following operators:

  • eq operator for the status property
  • sw, co, and eq operator for the profile.displayName property

Note: This operation requires URL encoding. See Special characters.

Example:filter=profile.displayName sw "Production" and status eq "ACTIVE"
GET
/workload-principals/api/v1/virtual-mcp-servers
curl -i -X GET \
  'https://subdomain.okta.com/workload-principals/api/v1/virtual-mcp-servers?after=string&limit=20&filter=profile.displayName%20sw%20%22Production%22%20and%20status%20eq%20%22ACTIVE%22'

Responses

OK

Bodyapplication/json
dataArray of objects(VirtualMCP)required
Response
{ "data": [ {}, {}, {} ], "_links": { "self": {} } }